.intro {
  width: 100%;

  &__content {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 100px 0 50px;
  }

  &__img {
    background: none;
    border-radius: 50%;

    & img {
      border-radius: 50%;
    }
  }

  &__title {
    color: #fff;
    text-align: center;
    font-feature-settings: "clig" off, "liga" off;
    font-family: Bai Jamjuree;
    font-size: 72px;
    font-style: normal;
    font-weight: 700;
    line-height: 125%;
    margin-bottom: 50px;

    & span {
      color: #12fa8b;
    }
  }

  &__text {
    color: #fff;
    text-align: center;
    font-feature-settings: "clig" off, "liga" off;
    font-family: Inter;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 30px;
    max-width: 660px;
    margin-bottom: 17px;
  }

  &__actions {
    display: flex;
    align-items: center;
    gap: 16px;

    & button {
      border-radius: 50px;
      padding: 20px 40px;
      font-family: Manrope;
      font-size: 18px;
      font-style: normal;
      font-weight: 500;
      line-height: normal;
      text-transform: uppercase;
      cursor: pointer;
    }

    & a {
      &:first-child {
        & button {
          color: #000;
          background: #fff;
          border: none;
        }
      }

      &:last-child {
        & button {
          color: #fff;
          border: 1px solid #fff;
          background: none;
        }
      }
    }
  }
}

.section__title {
  color: #fff;
  font-feature-settings: "clig" off, "liga" off;
  font-family: Bai Jamjuree;
  font-size: 64px;
  font-style: normal;
  font-weight: 700;
  line-height: 125%;
  margin-bottom: 80px;
}

.projects {
  width: 100%;

  &__content {
    padding: 50px 0;
  }

  &__grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, 560px);
    gap: 80px;
    justify-content: center;
  }

  &__item {
    width: 560px;
    cursor: pointer;
  }

  &__img {
    width: 100%;
    border-radius: 24px 24px 0px 0px;
    background: #d9d9d9;
    padding: 42px 0;

    & img {
      width: 100%;
    }
  }

  &__description {
    border-radius: 0px 0px 24px 24px;
    background: #1c1c22;
    padding: 48px 48px 60px;

    & h3 {
      color: #fff;
      font-feature-settings: "clig" off, "liga" off;
      font-family: Bai Jamjuree;
      font-size: 32px;
      font-style: normal;
      font-weight: 700;
      line-height: 125%;
      margin-bottom: 10px;
    }

    & p {
      color: #fff;
      font-feature-settings: "clig" off, "liga" off;
      font-family: Inter;
      font-size: 18px;
      font-style: normal;
      font-weight: 400;
      line-height: 30px;
    }
  }
}

.skills {
  width: 100%;

  & .section__title {
    margin-bottom: 48px;
  }

  &__content {
    width: 100%;
    padding: 50px 0 120px;
  }

  &__flex {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 50px;
    flex-wrap: wrap;
  }

  &__item {
    border-radius: 4px;
    background: #1c1c22;
    padding: 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    gap: 32px;
    max-width: 212px;
    width: 100%;

    & h3 {
      color: #fff;
      font-family: Bai Jamjuree;
      font-size: 32px;
      font-style: normal;
      font-weight: 700;
      line-height: 150%; /* 48px */
      letter-spacing: -0.56px;
    }
  }
}

.impact {
  width: 100%;
  padding: 120px 0 110px;

  & h2 {
    color: #fff;
    font-feature-settings: "clig" off, "liga" off;
    font-family: Bai Jamjuree;
    font-size: 84px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%;
    margin-bottom: 64px;
  }

  & a {
    color: #12fa8b;
    font-feature-settings: "clig" off, "liga" off;
    font-family: Bai Jamjuree;
    font-size: 84px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%;
    border-bottom: 4px solid #12fa8b;
    padding-bottom: 24px;
    display: block;
  }
}

.about {
  & .intro__title {
    text-align: start;
  }

  & .intro__text {
    max-width: 1036px;
  }
}

.list {
  width: 100%;

  &__content {
    width: 100%;
    padding: 50px 0;
  }

  &__title {
    color: #12fa8b;
    font-feature-settings: "clig" off, "liga" off;
    font-family: Bai Jamjuree;
    font-size: 48px;
    font-style: normal;
    font-weight: 700;
    line-height: 125%;
    margin-bottom: 48px;
  }

  &__item {
    padding-bottom: 36px;
    border-bottom: 1px solid rgba(255, 255, 255, 0.5);
    margin-bottom: 24px;

    & h3 {
      color: #fff;
      font-feature-settings: "clig" off, "liga" off;
      font-family: Bai Jamjuree;
      font-size: 24px;
      font-style: normal;
      font-weight: 700;
      line-height: 125%;
      margin-bottom: 8px;
    }

    & li {
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: space-between;

      & p {
        color: #fff;
        font-feature-settings: "clig" off, "liga" off;
        font-family: Inter;
        font-size: 16px;
        font-style: normal;
        font-weight: 400;
        line-height: 24px;
        opacity: 0.75;
      }
    }
  }
}

.socials {
  width: 100%;

  &__content {
    padding: 200px 0 100px;
  }

  &__box {
    padding: 48px 127px 0;
    background-color: #fff;
  }

  & h3 {
    color: #12fa8b;
    font-feature-settings: "clig" off, "liga" off;
    font-family: Bai Jamjuree;
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: 125%;
    margin-bottom: 24px;
  }

  & p {
    color: #000;
    font-feature-settings: "clig" off, "liga" off;
    font-family: Inter;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 30px;
    margin-bottom: 54px;
  }

  &__flex {
    display: flex;
    align-items: center;
    gap: 80px;
    padding: 32px 0 24px;
    border-top: 1px solid #000;
    flex-wrap: wrap;
  }
}

.contact {
  width: 100%;

  &__content {
    width: 100%;
    padding: 140px 0 175px;
    display: flex;
    justify-content: space-between;
    gap: 100px;
  }

  &__intro {
    width: 100%;
    max-width: 40%;

    & h1 {
      color: #12fa8b;
      font-feature-settings: "clig" off, "liga" off;
      font-family: Bai Jamjuree;
      font-size: 72px;
      font-style: normal;
      font-weight: 700;
      line-height: 125%;
      margin-bottom: 24px;
    }

    & p {
      color: #fff;
      font-feature-settings: "clig" off, "liga" off;
      font-family: Inter;
      font-size: 18px;
      font-style: normal;
      font-weight: 400;
      line-height: 30px;
      margin-bottom: 64px;
    }
  }

  &__info {
    display: flex;
    align-items: center;
    margin-bottom: 20px;

    & img {
      margin-right: 20px;
    }

    & h3 {
      color: #fff;
      font-family: Inter;
      font-size: 19px;
      font-style: normal;
      font-weight: 700;
      line-height: 36px;
    }
  }

  &__form {
    display: flex;
    flex-direction: column;
    width: 100%;

    & p {
      color: #fff;
      font-family: Inter;
      font-size: 15px;
      font-style: normal;
      font-weight: 700;
      line-height: 28px;
      margin-bottom: 13px;
    }

    & button {
      border-radius: 50px;
      background: #12fa8b;
      padding: 20px 40px;
      color: #fff;
      font-family: Inter;
      font-size: 16px;
      font-style: normal;
      font-weight: 600;
      line-height: 24px;
      text-transform: uppercase;
      border: none;
      cursor: pointer;
    }
  }

  &__input {
    border-radius: 5px;
    background: #1c1c22;
    padding: 19px 24px;
    margin-bottom: 24px;

    & img {
      margin-right: 15px;
    }

    & input,
    textarea {
      color: #fff;
      font-family: Inter;
      font-size: 16px;
      font-style: normal;
      font-weight: 400;
      line-height: normal;
      background: none;
      border: none;
      resize: none;

      &:focus {
        outline: none;
      }

      &::placeholder {
        opacity: 0.5;
      }
    }
  }
}

@media screen and (max-width: 1000px) {
  .socials {
    &__content {
      padding: 200px 0 100px;
    }

    &__box {
      padding: 48px 100px 0;
      background-color: #fff;
    }

    & h3 {
      font-size: 32px;
    }

    & p {
      font-size: 18px;
    }

    &__flex {
      gap: 60px;
    }
  }

  .contact {
    &__content {
      flex-direction: column;
    }

    &__intro {
      width: 100%;
      max-width: 100%;
    }
  }
}

@media screen and (max-width: 800px) {
  .intro {
    &__title {
      font-size: 50px;
      margin-bottom: 30px;
    }

    &__text {
      font-size: 16px;
      line-height: 20px;
    }

    &__actions {
      gap: 14px;

      & button {
        border-radius: 50px;
        padding: 15px 25px;
        font-size: 16px;
      }
    }
  }

  .section__title {
    font-size: 48px;
    margin-bottom: 60px;
  }

  .projects {
    &__content {
      padding: 40px 0;
    }

    &__grid {
      grid-template-columns: repeat(auto-fill, 400px);
      gap: 60px;
    }

    &__item {
      width: 400px;
    }

    &__img {
      padding: 36px 0;

      & img {
        width: 100%;
      }
    }

    &__description {
      padding: 36px 36px 50px;

      & h3 {
        font-size: 28px;
      }

      & p {
        font-size: 16px;
      }
    }
  }

  .skills {
    & .section__title {
      margin-bottom: 36px;
    }

    &__content {
      padding: 40px 0 100px;
    }

    &__flex {
      gap: 40px;
    }

    &__item {
      gap: 28px;
      max-width: 180px;

      & h3 {
        font-size: 28px;
      }
    }
  }

  .impact {
    padding: 80px 0 80px;

    & h2 {
      font-size: 60px;
      margin-bottom: 50px;
    }

    & a {
      font-size: 50px;
      border-bottom: 3px solid #12fa8b;
      padding-bottom: 20px;

      & img {
        width: 60px;
        height: 60px;
      }
    }
  }

  .socials {
    &__content {
      padding: 150px 0 70px;
    }

    &__box {
      padding: 40px 40px 0;
      background-color: #fff;
    }

    & h3 {
      font-size: 26px;
    }

    & p {
      font-size: 14px;
    }

    &__flex {
      gap: 35px;

      & img {
        width: 36px;
        height: 36px;
      }
    }
  }

  .contact {
    &__content {
      padding: 100px 0 120px;
    }
  }
}

@media screen and (max-width: 400px) {
  .intro {
    &__title {
      font-size: 36px;
      margin-bottom: 25px;
    }

    &__text {
      font-size: 14px;
      line-height: 18px;
    }

    &__actions {
      gap: 12px;

      & button {
        border-radius: 40px;
        padding: 10px 20px;
        font-size: 14px;
      }
    }
  }

  .section__title {
    font-size: 36px;
    margin-bottom: 40px;
  }

  .projects {
    &__content {
      padding: 35px 0;
    }

    &__grid {
      grid-template-columns: repeat(auto-fill, 350px);
      gap: 50px;
    }

    &__item {
      width: 350px;
    }

    &__img {
      padding: 32px 0;

      & img {
        width: 100%;
      }
    }

    &__description {
      padding: 32px 32px 45px;

      & h3 {
        font-size: 24px;
      }

      & p {
        font-size: 14px;
      }
    }
  }

  .skills {
    & .section__title {
      margin-bottom: 32px;
    }

    &__content {
      padding: 35px 0 80px;
    }

    &__flex {
      gap: 35px;
    }

    &__item {
      gap: 24px;
      max-width: 160px;

      & h3 {
        font-size: 24px;
      }
    }
  }

  .impact {
    padding: 50px 0 50px;

    & h2 {
      font-size: 40px;
      margin-bottom: 40px;
    }

    & a {
      font-size: 28px;
      border-bottom: 2px solid #12fa8b;
      padding-bottom: 15px;

      & img {
        width: 30px;
        height: 30px;
      }
    }
  }

  .socials {
    &__content {
      padding: 100px 0 50px;
    }

    &__box {
      padding: 20px 50px 0;
      background-color: #fff;
    }

    & h3 {
      font-size: 24px;
    }

    & p {
      font-size: 14px;
    }

    &__flex {
      gap: 25px;

      & img {
        width: 28px;
        height: 28px;
      }
    }
  }

  .contact {
    &__content {
      padding: 50px 0 60px;
    }
  }
}
